<html devsite><head>
    <title>补丁程序的生命周期</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>Android 开源项目 (AOSP) 使用一种基于网页的代码审核工具，该工具称为 <a href="https://android-review.googlesource.com/">Gerrit</a>。下图是一个流程图，详细说明了补丁程序在编写好之后会发生什么。虽然这看起来可能非常复杂，但以下大多数步骤都是在网络应用中执行的。</p>
<p>如需关于如何完成相关设置来使用 Gerrit 和 Git 的完整说明，请参阅<a href="submit-patches.html">提交补丁程序</a>页面。</p>
<img src="/images/workflow-0.png" alt="工作流程示意图" id="figure1"/>
<p class="img-caption">
  <strong>图 1.</strong> 补丁程序工作流程
</p>

</body></html>